Set the stage
curl --request PUT \
--url https://api.example.com/v1/contacts/{contactId}/stage \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"stageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'import requests
url = "https://api.example.com/v1/contacts/{contactId}/stage"
payload = { "stageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a" }
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({stageId: '3c90c3cc-0d44-4b50-8888-8dd25736052a'})
};
fetch('https://api.example.com/v1/contacts/{contactId}/stage', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"phone": "<string>",
"email": "<string>",
"avatar": "<string>",
"notes": "<string>",
"status": "active",
"isBlocked": true,
"sourceMethod": "<string>",
"assigneeId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"stageId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"color": "<string>"
}
],
"createdAt": "2023-11-07T05:31:56Z",
"updatedAt": "2023-11-07T05:31:56Z",
"lastInteractionAt": "2023-11-07T05:31:56Z"
}Contacts
Set the stage
Send { "stageId": null } to clear the stage.
PUT
/
v1
/
contacts
/
{contactId}
/
stage
Set the stage
Authorizations
Your API key, e.g. flv_9f2a8c1e…
Path Parameters
The contact id.
Body
application/json
Response
Digits only, no + prefix
Available options:
active, archived Blocked contacts cannot send or receive messages
How the contact entered the system, e.g. MANUAL, IMPORT
Must be set before a message can be sent to this contact
Show child attributes
Show child attributes

